org.apache.cxf.configuration.spring

## Class SimpleBeanDefinitionParser

- java.lang.Object
- - org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
  - - org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
    - - org.apache.cxf.configuration.spring.AbstractBeanDefinitionParser
      - - org.apache.cxf.configuration.spring.SimpleBeanDefinitionParser

- All Implemented Interfaces:
    org.springframework.beans.factory.xml.BeanDefinitionParser

      public class SimpleBeanDefinitionParser
      extends AbstractBeanDefinitionParser

  This bean parser will map all the attributes to properties on the bean.

- - ### Field Summary

    - ### Fields inherited from class org.apache.cxf.configuration.spring.AbstractBeanDefinitionParser

      `WIRE_BUS_ATTRIBUTE, WIRE_BUS_CREATE, WIRE_BUS_HANDLER, WIRE_BUS_NAME`

    - ### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `ID_ATTRIBUTE, NAME_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleBeanDefinitionParser(Class<?> beanClass)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.cxf.configuration.spring.AbstractBeanDefinitionParser

      `addBusWiringAttribute, addBusWiringAttribute, doParse, getBeanClass, getBeanClass, getFirstChild, getIdOrName, getJaxbPackage, getSuffix, hasBusProperty, isAttribute, mapAttribute, mapAttribute, mapElement, mapElementToJaxbBean, mapElementToJaxbBean, mapElementToJaxbProperty, mapElementToJaxbProperty, mapElementToJaxbProperty, mapElementToJaxbPropertyFactory, mapToProperty, parseAttribute, parseAttributes, parseChildElements, parseQName, processBusAttribute, processNameAttribute, resolveId, setBeanClass, setFirstChildAsProperty, unmarshalFactoryString`

    - ### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

      `doParse, getBeanClassName, getParentName, parseInternal`

    - ### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `parse, postProcessComponentDefinition, registerBeanDefinition, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleBeanDefinitionParser

          public SimpleBeanDefinitionParser(Class<?> beanClass)

Apache CXF